This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 997735 - Error in packaging default.conf
Error in packaging default.conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kobo (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Mach
Fedora Extras Quality Assurance
:
: 1015405 (view as bug list)
Depends On:
Blocks: 545868
  Show dependency treegraph
 
Reported: 2013-08-16 01:45 EDT by Amit Saha
Modified: 2015-07-26 18:15 EDT (History)
12 users (show)

See Also:
Fixed In Version: kobo-0.4.2-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 20:57:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amit Saha 2013-08-16 01:45:59 EDT
Description of problem:

While using kobo-0.4.0, I found that the 'default.conf' file is not being
copied. I am guessing that this may have been missed during the changes
to setup.py.





Version-Release number of selected component (if applicable):

0.4.0

How reproducible:

Always

Steps to Reproduce:

# with kobo-0.4.0


>>> from kobo.client import HubProxy
>>> p = HubProxy(conf=None)
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.6/site-packages/kobo/client/__init__.py", line 142, in __init__
    self._conf.load_from_file(default_config)
  File "/usr/lib/python2.6/site-packages/kobo/conf.py", line 117, in load_from_file
    fo = open(file_name, "r")
IOError: [Errno 2] No such file or directory: '/usr/lib/python2.6/site-packages/kobo/client/default.conf'


# with kobo-0.3.8

>>> from kobo.client import HubProxy
>>> p = HubProxy(conf=None)
XML-RPC connection to localhost failed: Connection refused, 5 retries left
Actual results:


Expected results:


Additional info:
Comment 1 Fedora End Of Life 2013-09-16 12:34:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Nick Coghlan 2013-10-02 00:39:36 EDT
Daniel, this regression breaks the bkr client for users on F20: https://bugzilla.redhat.com/show_bug.cgi?id=1014045

Could we please get it fixed?
Comment 3 Nick Coghlan 2013-10-02 00:41:40 EDT
Actually, rereading that bug report, looks like it affects F19 as well.
Comment 4 Amit Saha 2013-10-02 00:42:39 EDT
(In reply to Nick Coghlan from comment #3)
> Actually, rereading that bug report, looks like it affects F19 as well.

F18 as well :)

http://koji.fedoraproject.org/koji/packageinfo?packageID=8619
Comment 5 Daniel Mach 2013-10-02 02:38:03 EDT
I know, I need to fix it, but it's at the bottom of my priority list :/

I'll take a look at it.
Comment 6 Dan Callaghan 2013-10-04 03:22:01 EDT
*** Bug 1015405 has been marked as a duplicate of this bug. ***
Comment 7 Dan Callaghan 2013-10-04 03:22:40 EDT
*** Bug 990016 has been marked as a duplicate of this bug. ***
Comment 8 Fedora Update System 2013-10-14 04:32:58 EDT
kobo-0.4.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/kobo-0.4.1-1.el6
Comment 9 Fedora Update System 2013-10-14 04:33:16 EDT
kobo-0.4.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/kobo-0.4.1-1.el5
Comment 10 Fedora Update System 2013-10-14 04:33:31 EDT
kobo-0.4.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kobo-0.4.1-1.fc20
Comment 11 Fedora Update System 2013-10-14 04:33:48 EDT
kobo-0.4.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kobo-0.4.1-1.fc19
Comment 12 Fedora Update System 2013-10-14 04:34:04 EDT
kobo-0.4.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kobo-0.4.1-1.fc18
Comment 13 Fedora Update System 2013-10-14 12:08:43 EDT
Package kobo-0.4.1-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing kobo-0.4.1-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11836/kobo-0.4.1-1.el5
then log in and leave karma (feedback).
Comment 14 Nick Coghlan 2013-10-15 00:02:13 EDT
Looking into the Fedora 18 situation a little further:

- latest version in F18/updates is still kobo 0.3.8 (fortunately for bkr users)
- kobo 0.4.0 never made it out of F18/updates-testing
- kobo 0.4.1 fails depcheck on F18, since Django is only 1.4 in F18, but kobo-admin 0.4.1 requires Django 1.5 or later

I suggest at this point the easiest solution for F18 is to just leave it with kobo 0.3.8 until F18 is end-of-lifed.
Comment 15 Garik Khachikyan 2013-10-18 04:34:45 EDT
/me succeed on `make bkradd` having:
===
kobo-0.4.1-1.fc19.noarch
kobo-client-0.4.1-1.fc19.noarch

thanks a lot for the fix :)
Comment 16 Fedora Update System 2013-10-25 20:57:47 EDT
kobo-0.4.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-12-17 08:43:12 EST
kobo-0.4.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/kobo-0.4.2-1.el5
Comment 18 Fedora Update System 2013-12-17 08:43:34 EST
kobo-0.4.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kobo-0.4.2-1.fc19
Comment 19 Fedora Update System 2013-12-17 08:43:59 EST
kobo-0.4.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/kobo-0.4.2-1.el6
Comment 20 Fedora Update System 2013-12-17 08:44:17 EST
kobo-0.4.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kobo-0.4.2-1.fc20
Comment 21 Fedora Update System 2013-12-17 08:44:37 EST
kobo-0.4.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kobo-0.4.2-1.fc18
Comment 22 Fedora Update System 2013-12-27 21:04:50 EST
kobo-0.4.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2013-12-27 21:06:34 EST
kobo-0.4.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2013-12-27 21:10:14 EST
kobo-0.4.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2014-01-18 13:19:55 EST
kobo-0.4.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2014-01-18 13:20:52 EST
kobo-0.4.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.